Bug 350121 - TAHI--About the Invalid ICMP Code field in the IPv6 packet.
TAHI--About the Invalid ICMP Code field in the IPv6 packet.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Graf
Martin Jenner
:
Depends On:
Blocks: 253764
  Show dependency treegraph
 
Reported: 2007-10-24 04:46 EDT by Zhiyong Wu
Modified: 2014-06-18 04:29 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-21 10:28:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zhiyong Wu 2007-10-24 04:46:57 EDT
Description of problem:

  When NUT is set to the host mode,we have a test about "Router Advertisement 

Processing, Validity (Invalid ICMP Code)".When recieving a Echo Request Packet, 

NUT has not sent a multicast Neighbor Solicitation packet to peer node.

Version-Release number of selected component (if applicable):

  kernel-2.6.18-43.el5

Software Environment:   
  Testee(NUT):   
    RHEL5 
    Kernel:2.6.18-43.el5 
   
  Tester(TN):   
    FreeBSD6.2 
   
TAHI package:    
  Self_TEST_1-4-8.tar.gz

How reproducible:
  every time

Steps to Reproduce:    
  1. Configure TAHI test environment.     
  2. Run the TAHI test suite     
  3. After the test completes, check for the results 
  
Actual results:

  NUT has not transmited a  multicast Neighbor Solicitation packet packet

Expected results:

  the HUT should transmit a multicast Neighbor Solicitation for TR1, indicating 

the HUT did not have a NCE

Additional info:

  please refer to 

  (1)143	Part D: Invalid ICMP Code

  in
http://focus.brisbane.redhat.com/~zwu/CoreProtocol/20071024/Self_Test_1-4-8_p2_host/nd.p2/index.html
Comment 1 Subhendu Ghosh 2007-12-21 09:59:37 EST
Test 1.4.9
kernel 2.6.18-53.el5xen
test NUT as host

test 143 - passed
http://athlon4.lab.boston.redhat.com/RHEL5.1/Self_Test_1-4-9/nd.p2/143.html

Note You need to log in before you can comment on or make changes to this bug.